Subject: [Fot] TR6 Group 44 type wind screen?

From: Mark Cook via Fot <[email-masked]>
Date: Wed, 13 Nov 2024 15:55:15 -0500

Trying to source a TR6 Group 44 type wind screen - mine is cracked.   I
checked with TSI a few months ago and he needed at least 5 orders to make
some new ones.  Also, checked with Aircraft Windshield Co, and they have the
mold for Spitfires, but not TR6's and would need the original to make a
mold.   Have an email into Huffaker Motorsport as well.  Any other sources I
should check?

Thanks,

Mark Cook

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot